Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class PushRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.PushRendererBase

Direct Known Subclasses:
  PushRenderer

    public class PushRendererBase

extends javax.faces.render.Renderer

Author:
  Nick Belaevski

Constructor Summary
`PushRendererBase()`

Method Summary
`protected String` | `getOptionsString(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected String` | `getPushHandlerUrl(javax.faces.context.FacesContext context)`
`protected String` | `getPushResourceUrl(javax.faces.context.FacesContext context)`
`protected boolean` | `shouldEncodePushUrl(javax.faces.context.FacesContext context)`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, encodeBegin, encodeChildren, encodeEnd, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PushRendererBase

    public PushRendererBase()

Method Detail

### getPushResourceUrl

    protected String getPushResourceUrl(javax.faces.context.FacesContext context)

### getPushHandlerUrl

    protected String getPushHandlerUrl(javax.faces.context.FacesContext context)

### shouldEncodePushUrl

    protected boolean shouldEncodePushUrl(javax.faces.context.FacesContext context)

### getOptionsString

    protected String getOptionsString(javax.faces.context.FacesContext context,
                                      javax.faces.component.UIComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.